Bug 129428 - Untranlatable strings in pot file
Summary: Untranlatable strings in pot file
Status: RESOLVED FIXED
Alias: None
Product: kphotoalbum
Classification: Unclassified
Component: general (show other bugs)
Version: 2.1
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jesper Pedersen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-19 16:36 UTC by Jakub Friedl
Modified: 2006-11-26 09:38 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jakub Friedl 2006-06-19 16:36:04 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

Please avoid using strings like:

_: As in No persons, no locations etc.\n
No %1

_: As in no other persons, or no other locations\n
No other %1

It is not possible to translate correctly into some languages (Czech for example). "No" is to be translated differently depending on gramatical gender of the noun %1. Moreover, the noun %1 needs to be written with small case in this string, but with upper case when standalone (but the same string is used).

Each combination should be translated separatelly.
Comment 1 Jesper Pedersen 2006-08-23 04:37:44 UTC
Hi.

Do I understand you correct that rather than asking for the string
"No %1" to be translated you would rather want to explicit translate each 
combination
"No Persons", "No Locations", etc?

If so, then this is not possible, as the user himself may add new categories, 
so he could be adding a category "Flower" e.g. which I dont know anything 
about at compile time.

Cheers
Jesper.
On Monday 19 June 2006 10:36, Jakub Friedl wrote:
| ------- You are receiving this mail because: -------
| You are the assignee for the bug, or are watching the assignee.
|
| http://bugs.kde.org/show_bug.cgi?id=129428
|            Summary: Untranlatable strings in pot file
|            Product: kphotoalbum
|            Version: unspecified
|           Platform: Compiled Sources
|         OS/Version: Linux
|             Status: NEW
|           Severity: normal
|           Priority: NOR
|          Component: general
|         AssignedTo: blackie kde org
|         ReportedBy: jfriedl suse cz
|
|
| Version:            (using KDE Devel)
| Installed from:    Compiled sources
|
| Please avoid using strings like:
|
| _: As in No persons, no locations etc.\n
| No %1
|
| _: As in no other persons, or no other locations\n
| No other %1
|
| It is not possible to translate correctly into some languages (Czech for
| example). "No" is to be translated differently depending on gramatical
| gender of the noun %1. Moreover, the noun %1 needs to be written with small
| case in this string, but with upper case when standalone (but the same
| string is used).
|
| Each combination should be translated separatelly.
Comment 2 Jesper Pedersen 2006-11-26 09:38:51 UTC
Thanks. It now says "None" and "No other" instead.